
QGIS Application - Bug report #19696

QGIS crashes upon launching

2018-08-25 05:31 PM - Ashley Mort

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.2.2 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 27521

Description

User Feedback

Report Details

Crash ID: 35cfcabe170efbea39a5fd352599743230dd1e9b

Stack Trace

RtlFreeHeap :

HeapFree :

free :

DllUnregisterServer :

DllUnregisterServer :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

DllGetClassObjectWOW :

DllGetClassObjectWOW :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

ObjectStublessClient6 :

CoCreateInstanceEx :

ObjectStublessClient32 :

SHParseDisplayName :

Ordinal866 :

ILSaveToStream :

ShellExecuteExW :

ShellExecuteExW :

ShellExecuteExW :

Ordinal860 :

ShellExecuteExW :

ExtractIconExW :

Ordinal865 :

Ordinal865 :

QWidgetPrivate::registerDropSite :

QInputDialog::getInteger :

QgsDataCollectionItem::iconDir :

QgsDirectoryItem::icon :

QgsBrowserModel::data :

QSortFilterProxyModel::data :

QModelIndex::data :

QStyledItemDelegate::initStyleOption :

QStyledItemDelegate::sizeHint :

QTreeView::indexRowSizeHint :
QTreeViewPrivate::itemHeight :

QTreeViewPrivate::updateScrollBars :

QTreeView::updateGeometries :

QAbstractItemView::doItemsLayout :

QTreeView::doItemsLayout :

QTreeView::sizeHintForColumn :

QHeaderView::resizeSections :

QHeaderView::sectionPosition :

QHeaderView::sectionViewportPosition :

QHeaderView::resizeSection :

QHeaderView::setStretchLastSection :

QgsBrowserDockWidget::showEvent :

QWidget::event :

QDockWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::show_helper :

QWidgetPrivate::showChildren :

QWidgetPrivate::show_helper :

QWidget::setVisible :

QgisApp::QgisApp :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.2-Bonn

QGIS code revision: commit:26842169e9

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Related issues:

Duplicates QGIS Application - Bug report # 18260: qgis 3 crashes at start Closed 2018-02-28

History

#1 - 2018-08-25 05:33 PM - Giovanni Manghi

- Category changed from Unknown to Build/Install

- Status changed from Open to Feedback

Try again on a clean environment (especially if you are on a machine that had/has installed other versions. Remove any qgis related windows registry entry

and remove the .qgis3 folder).

#2 - 2018-08-25 05:39 PM - Andreas Neumann

Please have a look at http://spatialgalaxy.net/2018/03/12/where-is-my-.qgis3-folder/ to find your qgis settings folder.

#3 - 2018-08-27 04:02 PM - Ashley Mort
http://spatialgalaxy.net/2018/03/12/where-is-my-.qgis3-folder/


I deleted my HOME directory's AppData\Roaming\QGIS folder and searched registry for qgis and deleted everything.  Still get the same problem though.

#4 - 2018-08-29 05:22 PM - Giovanni Manghi

Ashley Mort wrote:

I deleted my HOME directory's AppData\Roaming\QGIS folder and searched registry for qgis and deleted everything.  Still get the same problem

though.

unfortunately this still is very probably a local issue (as of course is not a general issue of the Windows installer/package).

Try installing using the osgeo4w installer for example, and see it this works for you.

#5 - 2018-09-23 02:51 PM - Jürgen Fischer

- Related to Bug report #19759: crash in browser added

#6 - 2018-09-23 03:45 PM - Jürgen Fischer

- Duplicates Bug report #18260: qgis 3 crashes at start added

#7 - 2018-09-23 03:45 PM - Jürgen Fischer

- Related to deleted (Bug report #19759: crash in browser)

#8 - 2018-09-23 03:45 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Feedback to Closed

2024-03-13 3/3


